--------------------------------------
-- English localization for Dustman --
--------------------------------------

--addon menu
local strings = {
	DUSTMAN_TITLE = "Dustman",
	--equipment submenu
	DUSTMAN_EQUIP_NOTRAIT = "Mark equipment without trait",
	DUSTMAN_EQUIP_NOTRAIT_DESC = "Enable/disable marking equipable weapons & armors without trait as junk.",
	DUSTMAN_EQUIPMENT = "Mark equipable weapons & armors",
	DUSTMAN_EQUIPMENT_DESC = "Enable/disable marking equipable weapons & armors as junk.",
	DUSTMAN_ORNATE = "Mark ornate weapons & armor",
	DUSTMAN_ORNATE_DESC = "Enable/disable marking ornate weapons & armors as junk.",
	DUSTMAN_BOOSTERS = "Mark smithing boosters",
	DUSTMAN_BOOSTERS_DESC = "Enable/disable marking smithing boosters as junk.",
	DUSTMAN_WHITE_ZERO = "Mark zero value equipable items",
	DUSTMAN_WHITE_ZERO_DESC = "Enable/disable marking zero value normal quality equipable items as junk. This include Weapons, Armors and Jewels",
	DUSTMAN_INTRICATE = "Exclude equipment with intricate trait",
	DUSTMAN_INTRICATE_DESC = "If enabled, addon will never mark weapons & armors with intricate trait as junk.",
	DUSTMAN_INTRIC_MAX = "Only if needed to level up crafting skill",
	DUSTMAN_INTRIC_MAX_DESC = "If enabled, addon will exclude intricate weapons & armors only if you need them to level up your crafting skill.",
	DUSTMAN_RESEARCH = "Exclude equipment with researchable trait",
	DUSTMAN_RESEARCH_DESC = "If enabled, addon will never mark weapons & armors with researchable trait as junk.",
	DUSTMAN_NIRNHONED = "Exclude equipment with Nirnhoned trait",
	DUSTMAN_NIRNHONED_DESC = "If enabled, addon will never mark weapons & armors with \"Nirnhoned\" trait as junk.",
	DUSTMAN_SET = "Exclude set equipment",
	DUSTMAN_SET_DESC = "If enabled, addon will never mark weapons & armors with set bonus as junk.",
	DUSTMAN_RARE = "Exclude rare style equipment",
	DUSTMAN_RARE_DESC = "If enabled, addon will never mark weapons & armors with rare style as junk.",
	DUSTMAN_NCENCHANT = "Exclude items with non-craftable enchantment",
	DUSTMAN_NCENCHANT_DESC = "If enabled, addon will never mark weapons & armors with with a non-craftable enchantment as junk (Ex: Masters Weapons).",
	DUSTMAN_LEVEL = "Exclude equipment of level >=",
	DUSTMAN_LEVEL_DESC = "If enabled, addon will never mark weapons & armors with a value superior to zero and a level (or Champion Rank) equal or superior to this value",
	DUSTMAN_LEVEL_ORNATE = "Mark max level ornate items anyway",
	DUSTMAN_LEVEL_ORNATE_DESC = "If enabled, addon will mark anyway items with ornate trait with a level (or Champion Rank) equal or superior to the value selected",
	--jewels submenu
	DUSTMAN_JEWELS_NOTRAIT = "Mark equipable jewels without trait",
	DUSTMAN_JEWELS_NOTRAIT_DESC = "Enable/disable marking jewels without trait as junk.",
	DUSTMAN_ORNATE_JEWELS = "Mark ornate jewels",
	DUSTMAN_ORNATE_JEWELS_DESC = "Enable/disable marking ornate jewels as junk.",
	DUSTMAN_JEWELS = "Mark equipable jewels",
	DUSTMAN_JEWELS_DESC = "Enable/disable marking equipable jewels as junk.",
	DUSTMAN_JEWELS_SET = "Exclude set jewels",
	DUSTMAN_JEWELS_SET_DESC = "If enabled, addon will never mark jewels with set bonus as junk.",
	--provisioning submenu
	DUSTMAN_INGR_ALL = "Mark all provisioning ingredients",
	DUSTMAN_INGR_ALL_DESC = "Enable/disable marking of all provisioning ingredients as junk.",
	DUSTMAN_INGR_UNUS = "Mark unusable provisioning ingredients",
	DUSTMAN_INGR_UNUS_DESC = "Enable/disable marking of unusable provisioning ingredients as junk.",
	DUSTMAN_INGR_DISH = "Enabled for Dish ingredients",
	DUSTMAN_INGR_DISH_DESC = "Enable dish ingredients (stat bonus) filtering",
	DUSTMAN_INGR_DRINK = "Enabled for Drink ingredients",
	DUSTMAN_INGR_DRINK_DESC = "Enable drink ingredients (stat regen) filtering",
	DUSTMAN_INGR_RARE = "Exclude rare additives",
	DUSTMAN_INGR_RARE_DESC = "Exclude |H1:item:26802:28:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h, |H1:item:27059:28:1:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h and |H1:item:64222:29:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0|h|h.",
	DUSTMAN_RECIPE = "Mark known recipes",
	DUSTMAN_RECIPE_DESC = "Enable/disable marking of known provisioning recipes as junk.",
	DUSTMAN_INGR_OLD = "Mark old ingredients",
	DUSTMAN_INGR_OLD_DESC = "Enable/disable marking of old ingredients with no cooking usage as junk.",
	--glyphs & runes submenu
	DUSTMAN_GLYPHS = "Mark non crafted glyphs",
	DUSTMAN_GLYPHS_DESC = "Enable/Disable marking of glyphs",
	DUSTMAN_LEVELGLYPH = "Exclude glyphs of level >=",
	DUSTMAN_LEVELGLYPH_DESC = "If enabled, addon will never mark looted glyphs with a level (or Champion Rank) equal or superior to this value",
	DUSTMAN_ASPECT_RUNES = "Mark aspect runes",
	DUSTMAN_ASPECT_RUNES_DESC = "Enable/disable marking of aspect runes as junk.",
	--consumables submenu
	DUSTMAN_FOOD_ALL = "Mark all food and drinks",
	DUSTMAN_FOOD_ALL_DESC = "Enable/disable marking of all food and drinks as junk.",
	DUSTMAN_FOOD_BAD = "Mark disgusting food and drinks",
	DUSTMAN_FOOD_BAD_DESC = "Enable/disable marking of cold/congealed/stale food and cloudy/flat/murky drinks as junk.",
	DUSTMAN_TROPHIES = "Mark collected trophies",
	DUSTMAN_TROPHIES_DESC = "Enable/Disable marking of trophies as junk for ones that has already been collected",
	DUSTMAN_POTIONS = "Mark non-crafted potions",
	DUSTMAN_POTIONS_DESC = "Enable/disable marking of non-crafted potions as junk.",
	DUSTMAN_LEVELPOTIONS = "Exclude potions of level >=",
	DUSTMAN_LEVELPOTIONS_DESC = "If enabled, addon will never mark looted potions with Champion Rank equal or superior to this value",
	DUSTMAN_POISONS = "Mark non-crafted poisons",
	DUSTMAN_POISONS_DESC = "Enable/disable marking of non-crafted poisons as junk.",
	DUSTMAN_LEVELPOISONS = "Exclude poisons of level >=",
	DUSTMAN_LEVELPOISONS_DESC = "If enabled, addon will never mark looted poisons with Champion Rank equal or superior to this value",
	DUSTMAN_EMPTYGEMS = "Mark empty Soul Gems",
	DUSTMAN_EMPTYGEMS_DESC = "Enable/disable marking of empty Soul Gems as junk.",
	--shared
	DUSTMAN_QUALITY = "Only if quality less or equal to:",
	DUSTMAN_QUALITY_DESC = "Apply choice only if item quality is less or equal to the selected value.",
	DUSTMAN_QUALITY_SUPP = "Only if quality upper or equal to:",
	DUSTMAN_QUALITY_SUPP_DESC = "Apply choice only if item quality is upper or equal to the selected value.",
	DUSTMAN_FULLSTACK = "Only with full stack in bank",
	DUSTMAN_FULLSTACK_DESC = "Apply choices only if you already have full stack of items in the bank.",
	DUSTMAN_FULLSTACK_BAG = "Only with full stack in bag",
	DUSTMAN_FULLSTACK_BAG_DESC = "Apply choices only if you already have full stack of items in the bagpack.",
	--fishing
	DUSTMAN_LURE = "Mark fishing lure",
	DUSTMAN_LURE_DESC = "Enable/disable marking fishing lure as junk.",
	DUSTMAN_TROPHY = "Mark collected trophy fish",
	DUSTMAN_TROPHY_DESC = "Enable/disable marking trophy fishes as junk for ones that has already been collected. Collectible fishes are excluded and ingredients are handled the same way as other provisioning material.",
	--remember junk
	DUSTMAN_REMEMBER = "Remember items marked as junk",
	DUSTMAN_REMEMBER_DESC = "Enable/disable tracking of what you mark as junk. Once you do, addon will automatically mark those items as junk until you unmark them as junk.",
	DUSTMAN_MEMORYFIRST = "Use remembered items first",
	DUSTMAN_MEMORYFIRST_DESC = "If enabled, remebered items will be used as a highest priority filter. It means that it can override other junk filters.",
	--destroy junk submenu
	DUSTMAN_DESTROY = "Destroy junk",
	DUSTMAN_DESTROY_DESC = "Enable/disable destroying of unwanted low cost items.",
	DUSTMAN_DESTROY_VAL = "Sell price threshold",
	DUSTMAN_DESTROY_VAL_DESC = "All unwanted items with value less or equal to the selected amount will be destroyed.",
	DUSTMAN_DESTROY_STOLEN = "Threshold for stolen items",
	DUSTMAN_DESTROY_STOLEN_DESC = "All stolen items marked as junk, worth less or equal to the selected amount, will be destroyed.",
	DUSTMAN_DESTROY_STACK = "Exclude stackable items",
	DUSTMAN_DESTROY_STACK_DESC = "Do not destroy stackable items with sell value more then zero and less then selected value",
	--notifications submenu
	DUSTMAN_VERBOSE = "Notify when handling junk",
	DUSTMAN_VERBOSE_DESC = "Enable/disable notification that an item has been marked as junk or destroyed.",
	DUSTMAN_FOUND = "Report interesting items",
	DUSTMAN_FOUND_DESC = "Enable/disable notification that addon found an item with researchable trait, deconstrucable rare style item or item with set bonus.",
	DUSTMAN_ALLITEMS = "Show itemized list on sell",
	DUSTMAN_ALLITEMS_DESC = "Enable/disable displaying an itemized list of what was sold.",
	DUSTMAN_TOTAL = "Show summary on sell",
	DUSTMAN_TOTAL_DESC = "Enable/disable displaying a summary of what was sold.",
	DUSTMAN_CONFIRM = "Show sell confirmation dialog",
	DUSTMAN_CONFIRM_DESC = "Enable/disable sell junk confirmation dialog.",
	DUSTMAN_DONTSELL = "Automatically sell items",
	DUSTMAN_DONTSELL_DESC = "Enable/Disable automatic sell when talking to a merchant. If disabled, you'll need to use the \"Sell all Trash\" keybind or sell items manually",
	--stolen items
	DUSTMAN_STOLEN = "Mark treasures as junk",
	DUSTMAN_STOLEN_DESC = "Enable/disable marking treasures as junk",
	DUSTMAN_STOLEN_LAUNDER = "Launder stolen items",
	DUSTMAN_STOLEN_LAUNDER_DESC = "Launder stolen items that doesn't match junk filters",
	DUSTMAN_STOLEN_CLOTHES = "Exclude stolen clothes",
	DUSTMAN_STOLEN_CLOTHES_DESC = "Don't mark and don't launder stolen clothes",
	DUSTMAN_NOLAUNDER = "Don't launder <<1>>",
	DUSTMAN_NOLAUNDER_DESC = "Don't launder <<1>>",
	DUSTMAN_NON_LAUNDERED = "Destroy items previously selected",
	DUSTMAN_NON_LAUNDERED_DESC = "Destroy items previously selected. If not activated, items will be let as is in your bag.",
	DUSTMAN_ACT_LOWTREASURES = "Action for low quality treasures",
	DUSTMAN_ACT_LOWTREASURES_DESC = "Select the action to do for low quality treasures",
	DUSTMAN_ACT_LOWTREASURE1 = "Nothing",
	DUSTMAN_ACT_LOWTREASURE2 = "Destroy item",
	DUSTMAN_ACT_LOWTREASURE3 = "Launder item",
	--rescan button
	DUSTMAN_SWEEP = "Rescan",
	DUSTMAN_SWEEP_DESC = "Rescan all items in backpack using the filters above.",
	--import
	DUSTMAN_IMPORT = "Import Dustman settings from",
	DUSTMAN_IMPORT_DESC = "Select from which character Dustman should import its settings. Please note that settings remains character-based and are not synched between characters",
	DUSTMAN_IMPORTED = "Dustman settings have been imported from character <<1>>",
	--chat notification
	DUSTMAN_NOTE_JUNK = "Dustman has marked <<t:1>> as junk (<<2>>).",
	DUSTMAN_NOTE_DESTROY = "Dustman has destroyed <<t:1>> (<<2>>).",
	DUSTMAN_NOTE_RESEACH = "Item with reasearchable trait: <<t:1>> (<<2>>).",
	DUSTMAN_NOTE_NIRNHONED = "Item with |cFFFFFF<<1>>|r trait: <<t:2>>.",
	DUSTMAN_NOTE_SETITEM = "Item with set bonus: <<t:1>> (<<2>>).",
	DUSTMAN_NOTE_RARESTYLE = "Item with rare style: <<t:1>> (<<2>>).",
	DUSTMAN_NOTE_INTERSTING = "Interesting item: <<t:1>>.",
	--report formats		
	DUSTMAN_FORMAT_ZERO = "Dustman sold <<2>>x <<t:1>>.",
	DUSTMAN_FORMAT_GOLD = "Dustman sold <<2>>x <<t:1>> for <<3>>|t16:16:EsoUI/Art/currency/currency_gold.dds|t.",
	DUSTMAN_FORMAT_NOTSOLD = "Dustman couldn't sell <<t:1>>.",
	DUSTMAN_FORMAT_TOTAL = "Dustman sold <<1>> <<1[item/items]>> for <<2>>|t16:16:EsoUI/Art/currency/currency_gold.dds|t.",
	DUSTMAN_FORMATL_ZERO = "Dustman laundered <<2>>x <<t:1>>.",
	DUSTMAN_FORMATL_GOLD = "Dustman laundered <<2>>x <<t:1>> for <<3>>|t16:16:EsoUI/Art/currency/currency_gold.dds|t.",
	DUSTMAN_FORMATL_NOTSOLD = "Dustman couldn't launder <<t:1>>.",
	DUSTMAN_FORMATL_TOTAL = "Dustman laundered <<1>> <<1[item/items]>> for <<2>>|t16:16:EsoUI/Art/currency/currency_gold.dds|t.",
	DUSTMAN_ZOS_RESTRICTIONS = "Due to ZOS restrictions, Dustman processed only 98 transactions. Please wait 10 seconds, and interact again with npc."
}

for stringId, stringValue in pairs(strings) do
	ZO_CreateStringId(stringId, stringValue)
	SafeAddVersion(stringId, 1)
end
